QGIS Application - Feature request #18957
Edit > Move Feature: Should honor snapping
2018-05-15 10:37 AM - Luc Janssens

Status: Closed

Priority: High

Assignee:

Category: Editing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 26788
Description

Edit > Move Feature

- Moving features in QGIS should allow snap

- So you can move features from one precise point to another precise point.

In QGIS 3.02as, well as older versions, "Move feature" does not allow precise editing, it's merely drag and drop at an undefined location.

There is no work-around available, neither plugins that provide precise moving of features.

Associated revisions

Revision 19b3325b - 2018-05-21 10:03 PM - Nyall Dawson

Use the standard snap indicator with move features tool

Fixes #18957

History

#1 - 2018-05-15 11:59 PM - Harrissou Santanna

In 3.0, The tooltip of the move feature button states that if you need snapping, you should rather use the vertex tool: select all the vertices of the feature and
you'll move the whole feature by click-click.

#2 - 2018-05-16 01:52 AM - Nyall Dawson

- Status changed from Open to In Progress

This works fine here, with snapping using the move tool. What am | missing?

#3 - 2018-05-16 04:53 PM - Harrissou Santanna

Nyall Dawson wrote:

This works fine here, with snapping using the move tool. What am | missing?

| fail to make it work here. The snapping settings seem ignored: with the same settings, the vertex tool shows snapping marker icons but with the move
tool there's nothing that helps me think that some accurate displacement is being done.
#4 - 2018-05-21 10:03 PM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|19b3325be6da4c14d7e8992391e913830b674da8.
